package {
	import org.flixel.*;

	public class PlayState extends FlxState {
		/*
		 * If view is of the inside or not
		 */
		private var _inside:Boolean;
		/*
		 * Ship View
		 */
		private var _sv:SpaceView;
		/*
		 * Internal View
		 */
		private var _isv:InternalShipView;
		
		override public function create():void {
    
			FlxG.mouse.hide();
    
			add(_sv = new SpaceView());
			add(_isv = new InternalShipView());
			
			_sv.visible = _sv.active = false;
			_isv.visible = _inside = true;
		}

		override public function update():void {
			if(FlxG.keys.justPressed("SPACE")) {
				_inside = !_inside;
				_isv.visible = _isv.active = _inside;
				_sv.visible = _sv.active = !_inside;
				
				_isv.switchView(_inside);
				_sv.switchView(_inside);
			}
			
			if(FlxG.keys.justPressed("ESCAPE"))
				FlxG.state = new PlayState();
			
			super.update();
		}
	}
}
