package
{
	import org.flixel.*;

	public class InternalShipView extends FlxGroup
	{
		[Embed(source="../data/ship_map.txt",mimeType="application/octet-stream")] private var TxtMap:Class;
		[Embed(source="../data/ship_tilemap.png")] private var ImgTiles:Class;
		
		private var _tilemap:FlxTilemap;
		private var _character:Character;
		
		public function InternalShipView()
		{
			super();
			_tilemap = new FlxTilemap();
			_tilemap.collideIndex = 3;
			_tilemap.loadMap(new TxtMap(), ImgTiles, 16, 16);
			_tilemap.width = 256;
			_tilemap.height = 256;
			_tilemap.x = 200;
			_tilemap.y = 100;
			
			_character = new Character(_tilemap.x+16*13, _tilemap.y+16*6, "Fred");
			_character.appendSpeech("*yawn*");
			_character.appendSpeech("I'm damn hungry.");
			_character.appendSpeech("Hmmm? What's that smell?");
			_character.appendSpeech("Cheese...Tomato... Pizza? No, no, not quite.");
			_character.appendSpeech("I know I'm smelling some green peppers. Yes, yes I am.");
			_character.appendSpeech("Mexican, it's gotta be!");
			_character.appendSpeech("...");
			_character.appendSpeech("Shit.");
			_character.appendSpeech("I should have known...");
			_character.appendSpeech("Just more Asteroids.");
			
			add(_tilemap);
			add(_character);
		}
		
		override public function update():void
		{
			super.update();
			//_tilemap.collide(_character._characterSprite);
		}
		
		/*
		 * Triggered by PlayState to indicate a view switch
		 */
		public function switchView(inside:Boolean):void {
			if(inside) {
				FlxG.followTarget = null;
				FlxG.scroll.x = 0;
				FlxG.scroll.y = 0;
				FlxG.mouse.show();
			}
		}
	}
}